<?php

function debut_html($titre)
{
	echo "<HTML><HEAD><TITLE>$titre</TITLE></HEAD>";
	echo "<BODY BGCOLOR=#FFFFFF FGCOLOR=0 background='fond.png'>";
}

// fonction testant si un critere a deja ete
// insere dans la requete (avec un flag)
function test_where($req_select)
{
GLOBAL $flag_where;
//on test si il y a deja eu un where
	 if ($flag_where)
	 	{
		$req_select = $req_select." WHERE";
		$flag_where=0;
		}
	else
		{
		$req_select = $req_select." AND";
		}
return $req_select;
}


// fonction pour l'affichage des pages supp'
// parametres nb max de resultat par page, nb max de liens numerotes, nb resultats total, liens a afficher, limite en cours
function aff_numeros_pages($nb_res_max,$nb_aff_page,$reponses,$lien_aff,$limite)
{
if ($reponses>$nb_res_max)	
	{
	//echo "parametres : aff_numeros_pages($nb_res_max,$nb_aff_page,$reponses,$lien_aff,$limite)<br>";
	//echo "Il y a $reponses résultats, veuillez cliquez ci desous pour accéder aux pages suivantes :<br>";
	if ($reponses>$nb_aff_page)	// si on doit afficher les << 1 2 3 >>
		{
		$flag_fleches=1;
		// on calcule les limites de la boucle
		$debut_boucle=intval($limite-($nb_aff_page/2)+1);
		$fin_boucle=intval($limite+($nb_aff_page/2)+1);
		//echo "<br>DEBUG : limite = $limite | limite req : $limite_req | debut : $debut_boucle | fin : $fin_boucle <br>";
		// on teste les limites pour qu'elles soient correctes
		// on recupere la !=
		if ($debut_boucle<0) //($limite>($nb_aff_page/2))
			{
			//echo "le debut est avant...";
			$difference = intval($debut_boucle*-1);
			$fin_boucle = intval($fin_boucle+$difference);
			// au cas ou !
			
				$debut_boucle=0;
			}
		// on calcule le nb max de liens en fct du nombre de reponses
		$max_liens = intval(($reponses/$nb_res_max)+1);
		//echo "<br>DEBUG : max_liens : $max_liens<br>";
		// on test et recupere la != entre la fin et le max de numeros de pages
		if ($fin_boucle>$max_liens)
			{
			//echo "<br>trop grand : if ($fin_boucle>$max_liens)<br>"; 
			
			$difference = intval(($fin_boucle-$max_liens));
		
			//echo "<br>difference : $difference | intval(($nb_aff_page)-($fin_boucle-$max_liens))<br>";
			$debut_boucle = intval($debut_boucle-$difference);
			if ($debut_boucle<0)
				$debut_boucle=0;
			$fin_boucle=$max_liens;
			}
	}
	if (($flag_fleches) && ($limite>($nb_aff_page/2)) && ($max_liens>$nb_aff_page) ) // on test s'il faut des fleches avant
		{
		echo " <a href='$lien_aff&limite=0'><<</a>";
		$lien=intval($debut_boucle-1);
		echo " <a href='$lien_aff&limite=$lien'><</a> ";
		}
	for ($cpt=$debut_boucle;$cpt<$fin_boucle;$cpt++)
		{
		$cpt_aff = intval($cpt+1);
		if ($limite==$cpt)
			echo "$cpt_aff ";
		else
			echo "<a href='$lien_aff&limite=$cpt'>$cpt_aff</a> ";
		}
	if (($flag_fleches) && ($limite<($max_liens-($nb_aff_page/2)-1)) && ($max_liens>$nb_aff_page) ) // on test s'il faut des fleches apres
		{
		$lien=intval($fin_boucle);
		echo " <a href='$lien_aff&limite=$lien'>></a>";
		$lien=intval($max_liens-1);
		echo " <a href='$lien_aff&limite=$lien'>>></a>";
		}
	}	
//--------------------------------------------------
}// fin de fonction

// definitions des tables 
$table_cities="oxg_cities";
$table_countries="oxg_countries";
$table_events="oxg_events";
$table_events_type="oxg_events_type";
$table_individuals="oxg_individuals";
$table_patronyms="oxg_patronyms";
$table_zones="oxg_zones";

?>